# Method: regionalinventory.insert

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/insert#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/insert#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/insert#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory/insert#try-it)

Updates the regional inventory of a product in your Merchant Center account. If a regional inventory with the same region ID already exists, this method updates that entry.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/products/{productId}/regionalinventory`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account that contains the product. This account cannot be a multi-client account. |
| `productId` | `string` The [REST ID](https://developers.google.com/shopping-content/v2/reference/v2.1/products#id) of the product for which to update the regional inventory. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory#RegionalInventory`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/regionalinventory#RegionalInventory`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).